Tickets

Manage tickets and link them as requests on deals

List Tickets

get

List tickets. Requires the 'tickets:read' scope.

Authorizations
X-API-KeystringRequired

API key for authentication

Query parameters
limitnumber · min: 1 · max: 1000Optional

The number of results to return

Default: 100
offsetnumberOptional

The number of results to skip

Default: 0
Responses
get
/v1/tickets

Create Ticket

post

Create a new ticket. Requires the 'tickets:write' scope.

Authorizations
X-API-KeystringRequired

API key for authentication

Body
titlestring · min: 1 · max: 256Required
typestring · enumRequiredPossible values:
statestring · enumRequiredPossible values:
descriptionany ofOptional

The description of the ticket. An array of Slate nodes or a markdown string.

or
stringOptional
targetDueDatestring · date-timeOptional
labelsstring[]Optional

Array of case-sensitive label names (will be created if they don't exist)

vendorEntityUrlstring · uriOptional

URL to an existing ticket in the third-party ticketing system

Responses
chevron-right
201

Response for status 201

application/json
typestring · enumRequiredPossible values:
statestring · enumRequiredPossible values:
idintegerRequired
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
closedAtstring · date-time · nullableRequired
organizationIdintegerRequired
createdByUserIdintegerRequired
titlestringRequired
descriptionany of · nullableRequired
stringOptional
or
numberOptional
or
booleanOptional
or
objectOptional
or
or
vendorEntityIdstring · nullableRequired
vendorEntityKeystring · nullableRequired
integrationInstallationIdinteger · nullableRequired
targetDueDatestring · date-time · nullableRequired
dealAmountSumnumberRequired
vendorEntityUrlstring · nullableRequired
post
/v1/tickets

Update Ticket

put

Update an existing ticket. Requires the 'tickets:write' scope.

Authorizations
X-API-KeystringRequired

API key for authentication

Path parameters
idstringRequired
Body
titlestring · min: 1 · max: 256Optional
typestring · enumOptionalPossible values:
statestring · enumOptionalPossible values:
descriptionany ofOptional

The description of the ticket. An array of Slate nodes, a markdown string, or null to clear.

or
stringOptional
or
undefined · enum · nullableOptionalPossible values:
targetDueDatestring · date-time · nullableOptional
labelsstring[] · nullableOptional

Array of case-sensitive label names (will be created if they don't exist). Replaces all existing labels. Set to null or empty array to clear all labels.

vendorEntityUrlstring · uri · nullableOptional

URL to an existing ticket in the third-party ticketing system

Responses
put
/v1/tickets/{id}

Last updated